> ## Documentation Index
> Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List sending domains

> Get a list of all Resend sending domains for the authenticated organization.



## OpenAPI

````yaml https://cloud.laravel.com/api-docs/api.json get /resend/domains
openapi: 3.1.0
info:
  title: Laravel Cloud
  version: 0.0.1
servers:
  - url: https://cloud.laravel.com/api
security:
  - http: []
tags:
  - name: Applications
  - name: Environments
  - name: Domains
  - name: Commands
  - name: Deployments
  - name: Instances
  - name: Email
  - name: Background Processes
  - name: Database Clusters
  - name: Databases
  - name: Database Snapshots
  - name: Database Restores
  - name: Object Storage Buckets
  - name: Bucket Keys
  - name: Caches
  - name: WebSocket Clusters
  - name: WebSocket Applications
  - name: Dedicated Clusters
  - name: Edge Networks
  - name: Secrets
  - name: Usage
  - name: Meta
  - name: Databases (Legacy)
paths:
  /resend/domains:
    get:
      tags:
        - Email
      summary: List sending domains
      description: >-
        Get a list of all Resend sending domains for the authenticated
        organization.
      operationId: public.resend.domains.index
      parameters:
        - name: filter[name]
          in: query
          schema:
            type: string
        - name: filter[status]
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Paginated set of `ResendDomainResource`
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ResendDomainResource'
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                      last:
                        type: string
                      prev:
                        type: string
                      next:
                        type: string
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        minimum: 1
                      from:
                        type:
                          - integer
                          - 'null'
                        minimum: 1
                      last_page:
                        type: integer
                        minimum: 1
                      links:
                        type: array
                        description: Generated paginator links.
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                        minimum: 0
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                        minimum: 1
                      total:
                        type: integer
                        description: Total number of items being paginated.
                        minimum: 0
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                required:
                  - data
                  - links
                  - meta
        '401':
          description: An error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error overview.
                    examples:
                      - ''
                required:
                  - message
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    ResendDomainResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - resend_domains
        attributes:
          type: object
          properties:
            name:
              type: string
            region:
              $ref: '#/components/schemas/ResendRegion'
            status:
              $ref: '#/components/schemas/ResendDomainStatus'
            records:
              type:
                - array
                - 'null'
              items: {}
            last_verified_at:
              type:
                - string
                - 'null'
              format: date-time
            created_at:
              type:
                - string
                - 'null'
              format: date-time
          required:
            - name
            - region
            - status
            - records
            - last_verified_at
            - created_at
      required:
        - id
        - type
      title: ResendDomainResource
    ResendRegion:
      type: string
      enum:
        - us-east-1
        - eu-west-1
        - sa-east-1
        - ap-northeast-1
      title: ResendRegion
    ResendDomainStatus:
      type: string
      enum:
        - not_started
        - pending
        - verified
        - partially_verified
        - partially_failed
        - failed
        - temporary_failure
      title: ResendDomainStatus
  responses:
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      description: The Bearer Token generated on the Cloud UI.
      scheme: bearer
      bearerFormat: bearer

````